Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 595223 - Improves SC/TC fonts - Make wqy-zenhei as the default font for Simplified Chinese.
Improves SC/TC fonts - Make wqy-zenhei as the default font for Simplified Chi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: wqy-zenhei-fonts (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Qianqian Fang
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-24 02:36 EDT by Peng Wu
Modified: 2010-05-28 13:55 EDT (History)
4 users (show)

See Also:
Fixed In Version: wqy-zenhei-fonts-0.9.45-5.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-28 13:55:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peng Wu 2010-05-24 02:36:22 EDT
In Simplified Chinese (SC for short) and Traditional Chinese (TC for short), many characters has different writing styles, so it has better use different fonts for SC and TC.
In order to provides better fonts for SC and TC users, UMing will be the default font for TC, and ZenHei will be the default font for SC.

The purpose of this change is:
  1. When use Simplified Chinese (SC for brief) locale to login Fedora gdm, all default desktop fonts will use WenQuanYi;
  2. When use Traditional Chinese (TC for brief) locale to login Fedora gdm, all default desktop fonts will use UMing.

For wqy-zenhei-fonts:

The needed changes for wqy-zenhei-fonts is:
1. Please remove 44-wqy-zenhei.conf 65-wqy-zenhei.conf.
2. Add two fontconfig candidates for wqy-zenhei-fonts, one for antialias font (65-0-wqy-zenhei.conf is default), another is bitmap font (65-0-wqy-zenhei-sharp.conf).
3. In future, a new tool (zenheiset) to choose one of 65-0-wqy-zenhei-sharp.conf and 65-0-wqy-zenhei.conf. (maybe in this release, or next release.)

44-wqy-zenhei.conf is removed, as fontconfig can deduce most values correctly from wqy-zenhei.ttc. If there are explict reasons for keeping any options, the options in this file will be added back.
And I tested without 44-wqy-zenhei.conf on Fedora 13, the font displays OK. :)

for wqy-microhei-fonts:

The needed changes for wqy-microhei-fonts is:
1. Please remove 65-wqy-microhei.conf.

As the default font for SC is wqy-zenhei, wqy-microhei is just another SC font. Remove this config will make wqy-zenhei always be the default font for SC users as UMing is always the default, I think wqy-zenhei is more mature than wqy-microhei.

For more details and reasons, please see also README.en on http://pwu.fedorapeople.org/fonts-conf.
Comment 1 Peng Wu 2010-05-24 02:40:47 EDT
Hi Qianqian Fang,
  This proposal passed review by Akira TAGOH.
  If you think these changes are OK, I will begin to land these changes on Fedora 13.
Comment 2 Qianqian Fang 2010-05-24 13:32:36 EDT
go ahead, looks fine to me. Please test it with various locales (CJK and English) after making the change. Particularly, make sure there is a consistent Chinese font for non-CJK locales by default.
Comment 3 Peng Wu 2010-05-24 22:47:40 EDT
OK, thanks. will test the above locales.
As there are 3-4 font packages to modify, just be patient. :)
Comment 4 Peng Wu 2010-05-25 02:36:38 EDT
Checked with l10n-font-template.conf,
Added the following to UMing and WenQuanYi:
  <alias>
    <family>[fontname]</family>
    <default>
      <family>[genericname]</family>
    </default>
  </alias>
.
Comment 5 Fedora Update System 2010-05-27 03:33:58 EDT
wqy-zenhei-fonts-0.9.45-5.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/wqy-zenhei-fonts-0.9.45-5.fc13
Comment 6 Fedora Update System 2010-05-27 03:41:19 EDT
wqy-microhei-fonts-0.2.0-0.5.beta.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/wqy-microhei-fonts-0.2.0-0.5.beta.fc13
Comment 7 Fedora Update System 2010-05-27 14:29:35 EDT
wqy-zenhei-fonts-0.9.45-5.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wqy-zenhei-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wqy-zenhei-fonts-0.9.45-5.fc13
Comment 8 Fedora Update System 2010-05-27 14:29:59 EDT
wqy-microhei-fonts-0.2.0-0.5.beta.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update wqy-microhei-fonts'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/wqy-microhei-fonts-0.2.0-0.5.beta.fc13
Comment 9 Fedora Update System 2010-05-28 13:54:53 EDT
wqy-zenhei-fonts-0.9.45-5.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.